package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * StaticRoutingInterfaceResult
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class StaticRoutingInterfaceResult   {
  @JsonProperty("interfaceInfoList")
  @Valid
  private List<StaticRoutingInterfaceInfo> interfaceInfoList = null;

  @JsonProperty("hasWanEnable")
  private Boolean hasWanEnable;

  public StaticRoutingInterfaceResult interfaceInfoList(List<StaticRoutingInterfaceInfo> interfaceInfoList) {
    this.interfaceInfoList = interfaceInfoList;
    return this;
  }

  public StaticRoutingInterfaceResult addInterfaceInfoListItem(StaticRoutingInterfaceInfo interfaceInfoListItem) {
    if (this.interfaceInfoList == null) {
      this.interfaceInfoList = new ArrayList<>();
    }
    this.interfaceInfoList.add(interfaceInfoListItem);
    return this;
  }

  /**
   * Interface information list.
   * @return interfaceInfoList
  */
  @ApiModelProperty(value = "Interface information list.")

  @Valid

  public List<StaticRoutingInterfaceInfo> getInterfaceInfoList() {
    return interfaceInfoList;
  }

  public void setInterfaceInfoList(List<StaticRoutingInterfaceInfo> interfaceInfoList) {
    this.interfaceInfoList = interfaceInfoList;
  }

  public StaticRoutingInterfaceResult hasWanEnable(Boolean hasWanEnable) {
    this.hasWanEnable = hasWanEnable;
    return this;
  }

  /**
   * Internet has enable WAN port(s).
   * @return hasWanEnable
  */
  @ApiModelProperty(value = "Internet has enable WAN port(s).")


  public Boolean getHasWanEnable() {
    return hasWanEnable;
  }

  public void setHasWanEnable(Boolean hasWanEnable) {
    this.hasWanEnable = hasWanEnable;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    StaticRoutingInterfaceResult staticRoutingInterfaceResult = (StaticRoutingInterfaceResult) o;
    return Objects.equals(this.interfaceInfoList, staticRoutingInterfaceResult.interfaceInfoList) &&
        Objects.equals(this.hasWanEnable, staticRoutingInterfaceResult.hasWanEnable);
  }

  @Override
  public int hashCode() {
    return Objects.hash(interfaceInfoList, hasWanEnable);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class StaticRoutingInterfaceResult {\n");
    
    sb.append("    interfaceInfoList: ").append(toIndentedString(interfaceInfoList)).append("\n");
    sb.append("    hasWanEnable: ").append(toIndentedString(hasWanEnable)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

